summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2011-08-31 19:52:58 -0700
committerZac Medico <zmedico@gentoo.org>2011-08-31 19:52:58 -0700
commitce501b36d7078db059c606d3b4f38637ad09528e (patch)
tree6b60a4a21d020516d6158bbb580ff219e4e0a2f6 /bin/ebuild-helpers
parent6b8855016820fb84bac25720d99bf8e42c9e9469 (diff)
downloadportage-ce501b36d7078db059c606d3b4f38637ad09528e.tar.gz
portage-ce501b36d7078db059c606d3b4f38637ad09528e.tar.bz2
portage-ce501b36d7078db059c606d3b4f38637ad09528e.zip
xml/metadata: implement XMLParser.doctype()
Avoid deprecation warnings again, like in commit 63035acd702ab0cdaac31e33676b5a20a91eae47.
Diffstat (limited to 'bin/ebuild-helpers')
-rwxr-xr-xbin/ebuild-helpers/doexe8
-rwxr-xr-xbin/ebuild-helpers/doins16
-rwxr-xr-xbin/ebuild-helpers/dosed8
3 files changed, 19 insertions, 13 deletions
diff --git a/bin/ebuild-helpers/doexe b/bin/ebuild-helpers/doexe
index 360800e02..f44cfba34 100755
--- a/bin/ebuild-helpers/doexe
+++ b/bin/ebuild-helpers/doexe
@@ -9,8 +9,10 @@ if [[ $# -lt 1 ]] ; then
exit 1
fi
-if [[ ! -d ${D}${_E_EXEDESTTREE_} ]] ; then
- install -d "${D}${_E_EXEDESTTREE_}"
+case "$EAPI" in 0|1|2) ED=${D} ;; esac
+
+if [[ ! -d ${ED}${_E_EXEDESTTREE_} ]] ; then
+ install -d "${ED}${_E_EXEDESTTREE_}"
fi
TMP=$T/.doexe_tmp
@@ -29,7 +31,7 @@ for x in "$@" ; do
mysrc="${x}"
fi
if [ -e "$mysrc" ] ; then
- install $EXEOPTIONS "$mysrc" "$D$_E_EXEDESTTREE_"
+ install $EXEOPTIONS "$mysrc" "$ED$_E_EXEDESTTREE_"
else
echo "!!! ${0##*/}: $mysrc does not exist" 1>&2
false
diff --git a/bin/ebuild-helpers/doins b/bin/ebuild-helpers/doins
index 7dec14682..1ca69a6e9 100755
--- a/bin/ebuild-helpers/doins
+++ b/bin/ebuild-helpers/doins
@@ -27,12 +27,14 @@ else
DOINSRECUR=n
fi
-if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
+case "$EAPI" in 0|1|2) export ED="${D}" ;; esac
+
+if [[ ${INSDESTTREE#${ED}} != "${INSDESTTREE}" ]]; then
vecho "-------------------------------------------------------" 1>&2
- vecho "You should not use \${D} with helpers." 1>&2
+ vecho "You should not use \${ED} with helpers." 1>&2
vecho " --> ${INSDESTTREE}" 1>&2
vecho "-------------------------------------------------------" 1>&2
- helpers_die "${0##*/} used with \${D}"
+ helpers_die "${0##*/} used with \${ED}"
exit 1
fi
@@ -49,7 +51,7 @@ export TMP=$T/.doins_tmp
# Use separate directories to avoid potential name collisions.
mkdir -p "$TMP"/{1,2}
-[[ ! -d ${D}${INSDESTTREE} ]] && dodir "${INSDESTTREE}"
+[[ ! -d ${ED}${INSDESTTREE} ]] && dodir "${INSDESTTREE}"
_doins() {
local mysrc="$1" mydir="$2" cleanup="" rval
@@ -63,8 +65,8 @@ _doins() {
# $PORTAGE_ACTUAL_DISTDIR/.
if [ $PRESERVE_SYMLINKS = y ] && \
! [[ $(readlink "$mysrc") == "$PORTAGE_ACTUAL_DISTDIR"/* ]] ; then
- rm -rf "$D$INSDESTTREE/$mydir/${mysrc##*/}" || return $?
- cp -P "$mysrc" "$D$INSDESTTREE/$mydir/${mysrc##*/}"
+ rm -rf "${ED}$INSDESTTREE/$mydir/${mysrc##*/}" || return $?
+ cp -P "$mysrc" "${ED}$INSDESTTREE/$mydir/${mysrc##*/}"
return $?
else
cp "$mysrc" "$TMP/2/${mysrc##*/}" || return $?
@@ -73,7 +75,7 @@ _doins() {
fi
fi
- install ${INSOPTIONS} "${mysrc}" "${D}${INSDESTTREE}/${mydir}"
+ install ${INSOPTIONS} "${mysrc}" "${ED}${INSDESTTREE}/${mydir}"
rval=$?
[[ -n ${cleanup} ]] && rm -f "${cleanup}"
[ $rval -ne 0 ] && echo "!!! ${0##*/}: $mysrc does not exist" 1>&2
diff --git a/bin/ebuild-helpers/dosed b/bin/ebuild-helpers/dosed
index afc949ba5..00cf5da17 100755
--- a/bin/ebuild-helpers/dosed
+++ b/bin/ebuild-helpers/dosed
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
if [[ $# -lt 1 ]] ; then
@@ -7,12 +7,14 @@ if [[ $# -lt 1 ]] ; then
exit 1
fi
+case "$EAPI" in 0|1|2) ED=${D} ;; esac
+
ret=0
file_found=0
-mysed="s:${D}::g"
+mysed="s:${ED}::g"
for x in "$@" ; do
- y=$D${x#/}
+ y=$ED${x#/}
if [ -e "${y}" ] ; then
if [ -f "${y}" ] ; then
file_found=1